import { request } from 'umi';


export async function GetGoodsTypeListNew(data) {
  return request(`/kitchen/api/goods-type/goods-type-list-new`, {
    method: 'GET',
  });
}
export async function goodsType(data) {
  return request(`/kitchen/api/goods-type/big-goods-types`, {
    method: 'POST',
    data: data,
  });
}


export async function GetDicList(TypeCode) {
  return request(`/kitchen/api/dict-data/dic-list/${TypeCode}`, {
    method: 'Get',
  });
}

export async function AddGoodsTypeListNew(data) {
  return request(`/kitchen/api/goods-type/goods-type-new`, {
    method: 'post',
    data: data,
  });
}

export async function UpdateGoodsTypeListNew(data) {
  return request(`/kitchen/api/goods-type/goods-type-new`, {
    method: 'put',
    data: data,
  });
}


